cURL
curl --request DELETE \
--url https://api-sandbox.appcharge.com/offering/offer/{publisherOfferId} \
--header 'x-publisher-token: <x-publisher-token>'import requests
url = "https://api-sandbox.appcharge.com/offering/offer/{publisherOfferId}"
headers = {"x-publisher-token": "<x-publisher-token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-publisher-token': '<x-publisher-token>'}};
fetch('https://api-sandbox.appcharge.com/offering/offer/{publisherOfferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offerId": "<string>",
"publisherOfferId": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "<string>",
"createdBy": "<string>",
"offerUi": {
"offerUiId": "<string>",
"externalId": "<string>",
"active": true,
"offerUiType": "<string>",
"name": "<string>",
"description": "<string>",
"backgroundImage": "<string>",
"specialOffer": {
"templateType": "<string>",
"presentOfferEndTimer": true,
"title": "<string>",
"fontSize": 123,
"fontWeight": "<string>",
"fontColor": {
"colorOne": "<string>",
"colorTwo": "<string>",
"direction": "<string>"
},
"backgroundColor": {
"colorOne": "<string>",
"colorTwo": "<string>",
"direction": "<string>"
}
}
},
"dynamicOfferUi": {
"badges": [
{
"publisherBadgeId": "<string>",
"position": "<string>"
}
],
"salePercentage": 123,
"salePercentageDisplayType": "percentage"
},
"active": true,
"segments": [
"<string>"
],
"productsSequence": [
{
"index": 123,
"playerAvailability": 123,
"priceInUsdCents": 123,
"products": [
{
"quantity": 123,
"product": {
"publisherProductId": "<string>",
"name": "<string>",
"textFontColorHex": "<string>",
"type": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"priority": "<string>",
"images": [
{
"type": "<string>",
"url": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"productId": "<string>"
}
}
]
}
],
"startOver": true,
"priority": 123,
"showAfter": "<string>",
"triggers": [
{
"type": "<string>",
"eventName": "<string>",
"every": 123,
"rules": [
"<unknown>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Offers V1 API
Delete Offer
DELETE
/
offering
/
offer
/
{publisherOfferId}
cURL
Headers
The publisher token
Path Parameters
Response
Delete Offer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
